Typedefs | Functions

# md5.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _MD5Info | MD5Info
## Functions
WizardExport MD5Info * | AcquireMD5Info (void)
WizardExport MD5Info ** | DestroyMD5Info (MD5Info *)
WizardExport const StringInfo * | GetMD5Digest (const MD5Info *)
WizardExport unsigned int | GetMD5Blocksize (const MD5Info *)
WizardExport unsigned int | GetMD5Digestsize (const MD5Info *)
WizardExport void | InitializeMD5 (MD5Info *)
WizardExport void | FinalizeMD5 (MD5Info *)
WizardExport void | UpdateMD5 (MD5Info *, const StringInfo *)

## Typedef Documentation

typedef struct _MD5Info MD5Info

## Function Documentation

WizardExport MD5Info* AcquireMD5Info | ( | void |  | ) |

WizardExport MD5Info* * DestroyMD5Info | ( | MD5Info * |  | ) |

References _MD5Info::accumulator, DestroyStringInfo(), _MD5Info::digest, GetWizardModule, LogWizardEvent(), _MD5Info::message, RelinquishWizardMemory(), _MD5Info::signature, TraceEvent, and WizardSignature.

Referenced by DestroyHashInfo().

WizardExport void FinalizeMD5 | ( | MD5Info * |  | ) |

WizardExport unsigned int GetMD5Blocksize | ( | const MD5Info * |  | ) |

WizardExport const StringInfo* GetMD5Digest | ( | const MD5Info * |  | ) |

References _MD5Info::digest, GetWizardModule, HashDomain, LogWizardEvent(), _MD5Info::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by FinalizeHash().

WizardExport unsigned int GetMD5Digestsize | ( | const MD5Info * |  | ) |

References CipherDomain, _MD5Info::digestsize, GetWizardModule, LogWizardEvent(), _MD5Info::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireHashInfo(), and GetHashDigestsize().

WizardExport void InitializeMD5 | ( | MD5Info * |  | ) |

WizardExport void UpdateMD5 | ( | MD5Info * | ,
|  | const StringInfo * |  |
| ) |  |  |

References GetStringInfoDatum(), GetStringInfoLength(), _MD5Info::high_order, _MD5Info::low_order, _MD5Info::message, ResetWizardMemory(), _MD5Info::signature, TransformMD5(), and WizardSignature.

Referenced by FinalizeMD5(), and UpdateHash().